<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="UTF-8" />

<xsl:variable name="misc" select="document('photo2-meta.xml')/photo2-meta"/>
<xsl:variable name="counter">IIII</xsl:variable>

<xsl:include href='photo2-meta.xsl'/>

<xsl:template match="/photo2">
<html>
    <head>
        <link href="photo2.css" type="text/css" rel="stylesheet" media="all" />
        <title>
	<xsl:value-of select="$misc/meta[@name='title']"/>
	<xsl:if test="album/@name">
	    <xsl:value-of select="album/@name"/>
	</xsl:if>
        </title>
    </head>
    <body>
	<xsl:call-template name='header'/>
        <xsl:apply-templates />
	<xsl:call-template name='footer'/>
    </body>
</html>
</xsl:template>

<xsl:template match="album">
<table class='album'>
    <xsl:apply-templates/>
</table>
</xsl:template>

<xsl:template match="photo">
<tr class='album'>
    <td class='album'>
	<xsl:choose>
	    <xsl:when test="img[@type='thumb']">
	    </xsl:when>
	</xsl:choose>
	<xsl:value-of select="@name"/>
    </td>
</tr>
</xsl:template>

</xsl:stylesheet>
